package org.springblade.manager.service;

import org.springblade.core.mp.base.BaseService;
import org.springblade.manager.dto.WbsTreeContractDTO;
import org.springblade.manager.entity.WbsTree;
import org.springblade.manager.entity.WbsTreeContract;

import java.util.List;


public interface IWbsTreeContractService extends BaseService<WbsTreeContract> {

    boolean submitWbsTreeInContract(WbsTreeContractDTO wbsTreeContractDTO);

    List<WbsTreeContract> findWbsTreeContract(String ids);

    List<WbsTreeContract> queryCurrentContractLogList(String contractId);
}
